Update custom record type
curl --request PUT \
--url https://api.onvy.health/custom_records_types/{type_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"project_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"data_jsonschema": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.onvy.health/custom_records_types/{type_id}"
payload = {
"id": "<string>",
"project_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"data_jsonschema": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
project_id: '<string>',
display_name: '<string>',
description: '<string>',
data_jsonschema: {},
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.onvy.health/custom_records_types/{type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"data_jsonschema": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}custom-records
Update custom record type
Update an existing custom record type
PUT
/
custom_records_types
/
{type_id}
Update custom record type
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
Custom record type ID
Body
application/json
Custom record type data
Developer-defined custom record type identifier (e.g., blood_test_v1)
Project ID
Human-readable name of the custom record type
Optional description of the custom record type
JSON Schema describing the structure of the data field for records of this type
Response
Custom record type updated successfully
Developer-defined custom record type identifier (e.g., blood_test_v1)
Project ID
Human-readable name of the custom record type
Optional description of the custom record type
JSON Schema describing the structure of the data field for records of this type
Was this page helpful?